import React from "react";
import { ISocialMediaItem } from "@interfaces/IFooter";
import { SocialMediaIcon } from "@components/SocialMediaIcon";

export interface SocialMediaIconsProps {
  icons?: ISocialMediaItem[];
  className?: string;
  id?: string;
  light?: boolean;
  grow?: boolean;
}

export const SocialMediaIcons: React.FC<SocialMediaIconsProps> = ({
  className,
  icons,
  id,
  light,
  grow,
}) => {
  return (
    <div
      className={`grid gap-4 ${
        grow
          ? "grid-cols-[repeat(auto-fit,minmax(3rem,1fr))] md:grid-cols-[repeat(auto-fit,minmax(2rem,1fr))]"
          : "grid-cols-[repeat(auto-fit,3rem)] md:grid-cols-[repeat(auto-fit,2rem)]"
      } ${className || ""}`}
      id={id}
    >
      {icons?.map((logo, index) => {
        return (
          <div key={index} className="flex items-center justify-center">
            <SocialMediaIcon
              className={`${
                light ? "bg-white text-grey-900" : "bg-grey-900 text-white"
              } flex items-center justify-center rounded-full aspect-square p-1.5 w-12 md:w-8 h-12 md:h-8`}
              type={logo.type}
              href={logo.href}
            />
          </div>
        );
      })}
    </div>
  );
};

