import * as React from "react";
import { SocialMediaIcons } from "@components/SocialMediaIcons";
import { ISocialMediaItem } from "@interfaces/IFooter";

const SOCIAL_MEDIA: ISocialMediaItem[] = [
  { href: "https://www.instagram.com", type: "instagram" },
  { href: "https://www.mastodon.social", type: "mastodon" },
  { href: "https://www.facebook.com", type: "facebook" },
  { href: "https://www.twitter.com", type: "twitter" },
  { href: "https://www.x.com", type: "x" },
  { href: "https://www.gitlab.com", type: "gitlab" },
  { href: "https://www.youtube.com", type: "youtube" },
  { href: "https://www.linkedin.com", type: "linkedin" },
  { href: "https://www.xing.de", type: "xing" },
  { href: "https://www.github.com", type: "github" },
  { href: "https://www.google.de", type: "website" },
  { href: "test@example.com", type: "email" },
];

export const SocialMediaIconsStory = () => (
  <div className="max-w-2xl">
    <div className="p-4">
      <SocialMediaIcons icons={SOCIAL_MEDIA} />
    </div>
    <div className="bg-grey-900 p-4">
      <SocialMediaIcons light icons={SOCIAL_MEDIA} />
    </div>
  </div>
);

export default {
  title: "Molecules",
};

SocialMediaIconsStory.storyName = "Social Media Icons";
